[Pkg-utopia-commits] r1439 - /packages/unstable/avahi/debian/

biebl at users.alioth.debian.org biebl at users.alioth.debian.org
Wed Apr 25 16:19:37 UTC 2007


Author: biebl
Date: Wed Apr 25 16:19:36 2007
New Revision: 1439

URL: http://svn.debian.org/wsvn/pkg-utopia/?sc=1&rev=1439
Log:
  * Start avahi-daemon and avahi-dnsconfd as regular SysV init scripts.
    (Closes: #396811, #367748, #378114)
    + debian/avahi-daemon.init,
      debian/avahi-dnsconfd.init
      - Added. Based on the upstream init scripts.
      - Add proper LSB headers.
      - Remove reimplementation of LSB logging functions. Depend on lsb-base
        being installed.
      - Use log_daemon_msg instead of log_begin_msg.
      - Remove SVN $Id keyword. (Closes: #354988)
    + debian/avahi-daemon.install,
      debian/avahi-dnsconfd.install
      - Do not install the upstream init script anymore.
    + debian/avahi-daemon.links
      - Remove the symlink /etc/dbus-1/event.d/25avahi-daemon
    + debian/avahi-daemon.postinst
      - Do not restart avahi-daemon manually. dh_installinit takes care of
        that automatically.
    + debian/avahi-daemon.prerm,
      debian/avahi-dnsconfd.{links,postinst,prerm}
      - Removed. Not needed anymore.
    + debian/control
      - Add Depends: lsb-base (>= 3.0-6) to avahi-daemon and avahi-dnsconfd.
    + debian/rules
      - Set DEB_DH_INSTALLINIT_ARGS to start at 24 and stop at 16.


Added:
    packages/unstable/avahi/debian/avahi-daemon.init   (with props)
    packages/unstable/avahi/debian/avahi-dnsconfd.init   (with props)
Removed:
    packages/unstable/avahi/debian/avahi-daemon.prerm
    packages/unstable/avahi/debian/avahi-dnsconfd.links
    packages/unstable/avahi/debian/avahi-dnsconfd.postinst
    packages/unstable/avahi/debian/avahi-dnsconfd.prerm
Modified:
    packages/unstable/avahi/debian/avahi-daemon.install
    packages/unstable/avahi/debian/avahi-daemon.links
    packages/unstable/avahi/debian/avahi-daemon.postinst
    packages/unstable/avahi/debian/avahi-dnsconfd.install
    packages/unstable/avahi/debian/changelog
    packages/unstable/avahi/debian/control
    packages/unstable/avahi/debian/rules

Added: packages/unstable/avahi/debian/avahi-daemon.init
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/avahi-daemon.init?rev=1439&op=file
==============================================================================
--- packages/unstable/avahi/debian/avahi-daemon.init (added)
+++ packages/unstable/avahi/debian/avahi-daemon.init Wed Apr 25 16:19:36 2007
@@ -1,0 +1,115 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          avahi
+# Required-Start:    $local_fs dbus
+# Required-Stop:     $local_fs dbus
+# Should-Start:	     $syslog
+# Should-Stop:       $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      S 0 1 6
+# Short-Description: Avahi mDNS/DNS-SD Daemon
+# Description:       Zeroconf daemon for configuring your network 
+#                    automatically
+### END INIT INFO
+
+#set -e
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Avahi mDNS/DNS-SD Daemon"
+NAME="avahi-daemon"
+DAEMON="/usr/sbin/$NAME"
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+# don't start if /etc/default/avahi-daemon says so.
+AVAHI_DAEMON_START=1
+test -f /etc/default/avahi-daemon && . /etc/default/avahi-daemon
+
+DISABLE_TAG="/var/run/avahi-daemon/disabled-for-unicast-local"
+
+if [ "$AVAHI_DAEMON_START" != "1" -a "$1" != "stop" ]; then
+    log_warning_msg "Not starting $DESC $NAME, disabled via /etc/default/$NAME"
+    exit 0
+fi
+
+#
+#       Function that starts the daemon/service.
+#
+d_start() {
+    modprobe capability >/dev/null 2>&1 || true
+
+    $DAEMON -c && return 0
+
+    if [ -e ${DISABLE_TAG} ]; then 
+      # Disabled because of the existance of an unicast .local domain
+      log_warning_msg "avahi-daemon disabled because there is a unicast .local domain"
+      exit 0;
+    fi;
+
+    if [ -s /etc/localtime ]; then
+	if [ ! -d /etc/avahi/etc ]; then
+	    mkdir -p /etc/avahi/etc >/dev/null 2>&1
+	fi
+	cp -fp /etc/localtime /etc/avahi/etc >/dev/null 2>&1
+    fi;
+    
+    $DAEMON -D
+}
+
+#
+#       Function that stops the daemon/service.
+#
+d_stop() {
+    $DAEMON -c && $DAEMON -k
+}
+
+#
+#       Function that reload the config file for the daemon/service.
+#
+d_reload() {
+    $DAEMON -c && $DAEMON -r
+}
+
+#
+#       Function that check the status of the daemon/service.
+#
+d_status() {
+    $DAEMON -c && echo "$DESC is running" || echo "$DESC is not running"
+}
+
+case "$1" in
+    start)
+        log_daemon_msg "Starting $DESC" "$NAME"
+        d_start
+        log_end_msg $?
+        ;;
+    stop)
+        log_daemon_msg "Stopping $DESC" "$NAME"
+        d_stop
+        log_end_msg $?
+        ;;
+    reload)
+        log_daemon_msg "Reloading services for $DESC" "$NAME"
+        d_reload
+        log_end_msg $?
+        ;;
+    restart|force-reload)
+        log_daemon_msg "Restarting $DESC" "$NAME"
+        $DAEMON -c && d_stop
+        d_start
+        log_end_msg $?
+        ;;
+    status)
+        d_status
+	;;
+    *)
+        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
+        exit 1
+        ;;
+esac
+
+exit 0

Propchange: packages/unstable/avahi/debian/avahi-daemon.init
------------------------------------------------------------------------------
    svn:executable = *

Modified: packages/unstable/avahi/debian/avahi-daemon.install
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/avahi-daemon.install?rev=1439&op=diff
==============================================================================
--- packages/unstable/avahi/debian/avahi-daemon.install (original)
+++ packages/unstable/avahi/debian/avahi-daemon.install Wed Apr 25 16:19:36 2007
@@ -1,6 +1,5 @@
 debian/tmp/etc/avahi/avahi-daemon.conf
 debian/tmp/etc/avahi/hosts
-debian/tmp/etc/init.d/avahi-daemon
 debian/tmp/etc/dbus-1/system.d/avahi-dbus.conf
 debian/tmp/usr/sbin/avahi-daemon
 debian/tmp/usr/share/avahi/avahi-service.dtd

Modified: packages/unstable/avahi/debian/avahi-daemon.links
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/avahi-daemon.links?rev=1439&op=diff
==============================================================================
--- packages/unstable/avahi/debian/avahi-daemon.links (original)
+++ packages/unstable/avahi/debian/avahi-daemon.links Wed Apr 25 16:19:36 2007
@@ -1,2 +1,1 @@
-etc/init.d/avahi-daemon etc/dbus-1/event.d/25avahi-daemon
 etc/network/if-up.d/avahi-daemon etc/network/if-post-down.d/avahi-daemon

Modified: packages/unstable/avahi/debian/avahi-daemon.postinst
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/avahi-daemon.postinst?rev=1439&op=diff
==============================================================================
--- packages/unstable/avahi/debian/avahi-daemon.postinst (original)
+++ packages/unstable/avahi/debian/avahi-daemon.postinst Wed Apr 25 16:19:36 2007
@@ -35,7 +35,6 @@
     if [ -x "/etc/init.d/dbus" ]; then
       invoke-rc.d dbus force-reload || true
     fi
-    /etc/init.d/avahi-daemon restart
   ;;
   abort-upgrade|abort-remove|abort-deconfigure)
   ;;

Added: packages/unstable/avahi/debian/avahi-dnsconfd.init
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/avahi-dnsconfd.init?rev=1439&op=file
==============================================================================
--- packages/unstable/avahi/debian/avahi-dnsconfd.init (added)
+++ packages/unstable/avahi/debian/avahi-dnsconfd.init Wed Apr 25 16:19:36 2007
@@ -1,0 +1,113 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          avahi-dnsconfd
+# Required-Start:    $local_fs avahi
+# Required-Stop:     $local_fs avahi
+# Should-Start:	     $syslog
+# Should-Stop:       $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      S 0 1 6
+# Short-Description: Avahi Unicast DNS Configuration Daemon
+# Description:       A DNS configuration daemon using mDNS in a
+#                    DHCP-like fashion
+### END INIT INFO
+
+#set -e
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Avahi Unicast DNS Configuration Daemon"
+NAME="avahi-dnsconfd"
+DAEMON="/usr/sbin/$NAME"
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+# don't start if /etc/default/avahi-dnsconfd says so.
+AVAHI_DNSCONFD_START=1
+test -f /etc/default/avahi-dnsconfd && . /etc/default/avahi-dnsconfd
+
+if [ "$AVAHI_DNSCONFD_START" != "1" -a "$1" != "stop" ]; then
+    log_warning_msg "Not starting $DESC $NAME, disabled via /etc/default/$NAME"
+    exit 0
+fi
+
+#
+#       Function that starts the daemon/service.
+#
+d_start() {
+    $DAEMON -c
+    [ $? = 0 ] && exit 0
+
+    if [ -s /etc/localtime ]; then
+	if [ ! -d /etc/avahi/etc ]; then
+	    mkdir -p /etc/avahi/etc >/dev/null 2>&1
+	fi
+	cp -fp /etc/localtime /etc/avahi/etc >/dev/null 2>&1
+    fi;
+    
+    $DAEMON -D
+}
+
+#
+#       Function that stops the daemon/service.
+#
+d_stop() {
+    $DAEMON -c
+    [ $? != 0 ] && exit 0
+
+    $DAEMON -k
+}
+
+#
+#       Function that reload the config file for the daemon/service.
+#
+d_refresh() {
+    $DAEMON -c
+    [ $? != 0 ] && exit 0
+
+    $DAEMON -r
+}
+
+#
+#       Function that check the status of the daemon/service.
+#
+d_status() {
+    $DAEMON -c
+    [ $? = 0 ]  && echo "$DESC is running" || echo "$DESC is not running"
+}
+
+case "$1" in
+    start)
+        log_daemon_msg "Starting $DESC" "$NAME"
+        d_start
+        log_end_msg $?
+        ;;
+    stop)
+        log_daemon_msg "Stopping $DESC" "$NAME"
+        d_stop
+        log_end_msg $?
+        ;;
+    refresh)
+        log_daemon_msg "Refreshing $DESC" "$NAME"
+        d_refresh
+        log_end_msg $?
+        ;;
+    reload|restart|force-reload)
+        log_daemon_msg "Restarting $DESC" "$NAME"
+        $DAEMON -c && d_stop
+        d_start
+        log_end_msg $?
+        ;;
+    status)
+        d_status
+	;;
+    *)
+        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
+        exit 1
+        ;;
+esac
+
+exit 0

Propchange: packages/unstable/avahi/debian/avahi-dnsconfd.init
------------------------------------------------------------------------------
    svn:executable = *

Modified: packages/unstable/avahi/debian/avahi-dnsconfd.install
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/avahi-dnsconfd.install?rev=1439&op=diff
==============================================================================
--- packages/unstable/avahi/debian/avahi-dnsconfd.install (original)
+++ packages/unstable/avahi/debian/avahi-dnsconfd.install Wed Apr 25 16:19:36 2007
@@ -1,3 +1,2 @@
 debian/tmp/etc/avahi/avahi-dnsconfd.action
-debian/tmp/etc/init.d/avahi-dnsconfd
 debian/tmp/usr/sbin/avahi-dnsconfd

Modified: packages/unstable/avahi/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/changelog?rev=1439&op=diff
==============================================================================
--- packages/unstable/avahi/debian/changelog (original)
+++ packages/unstable/avahi/debian/changelog Wed Apr 25 16:19:36 2007
@@ -1,10 +1,38 @@
-avahi (0.6.18-4) UNRELEASED; urgency=low
-
+avahi (0.6.18-4) unstable; urgency=low
+
+  [ Sjoerd Simons ]
   * debian/rules:
     + Ensure that ServiceTypeDatabase.py is generated instead of using the one
       from the tarball (Closes: #420184)
 
- -- Sjoerd Simons <sjoerd at debian.org>  Sun, 22 Apr 2007 20:31:27 +0200
+  [ Michael Biebl ]
+  * Start avahi-daemon and avahi-dnsconfd as regular SysV init scripts.
+    (Closes: #396811, #367748, #378114)
+    + debian/avahi-daemon.init, 
+      debian/avahi-dnsconfd.init
+      - Added. Based on the upstream init scripts.
+      - Add proper LSB headers.
+      - Remove reimplementation of LSB logging functions. Depend on lsb-base
+        being installed.
+      - Use log_daemon_msg instead of log_begin_msg.
+      - Remove SVN $Id keyword. (Closes: #354988)
+    + debian/avahi-daemon.install,
+      debian/avahi-dnsconfd.install
+      - Do not install the upstream init script anymore. 
+    + debian/avahi-daemon.links
+      - Remove the symlink /etc/dbus-1/event.d/25avahi-daemon
+    + debian/avahi-daemon.postinst
+      - Do not restart avahi-daemon manually. dh_installinit takes care of
+        that automatically.
+    + debian/avahi-daemon.prerm,
+      debian/avahi-dnsconfd.{links,postinst,prerm}
+      - Removed. Not needed anymore.
+    + debian/control
+      - Add Depends: lsb-base (>= 3.0-6) to avahi-daemon and avahi-dnsconfd.
+    + debian/rules
+      - Set DEB_DH_INSTALLINIT_ARGS to start at 24 and stop at 16.
+
+ -- Michael Biebl <biebl at debian.org>  Wed, 25 Apr 2007 17:49:54 +0200
 
 avahi (0.6.18-3) unstable; urgency=low
 

Modified: packages/unstable/avahi/debian/control
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/control?rev=1439&op=diff
==============================================================================
--- packages/unstable/avahi/debian/control (original)
+++ packages/unstable/avahi/debian/control Wed Apr 25 16:19:36 2007
@@ -10,7 +10,7 @@
 Package: avahi-daemon
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, dbus (>= 0.60)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, dbus (>= 0.60), lsb-base (>= 3.0-6)
 Recommends: libnss-mdns
 Suggests: avahi-autoipd
 Conflicts: mdnsresponder
@@ -28,7 +28,7 @@
 Package: avahi-dnsconfd
 Section: net
 Architecture: any
-Depends: avahi-daemon, ${shlibs:Depends}, ${misc:Depends}
+Depends: avahi-daemon, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Recommends: resolvconf
 Description: Avahi DNS configuration tool
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.

Modified: packages/unstable/avahi/debian/rules
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/avahi/debian/rules?rev=1439&op=diff
==============================================================================
--- packages/unstable/avahi/debian/rules (original)
+++ packages/unstable/avahi/debian/rules Wed Apr 25 16:19:36 2007
@@ -18,6 +18,8 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-compat-libdns_sd --enable-compat-howl \
                              --disable-mono --disable-monodoc
 
+DEB_DH_INSTALLINIT_ARGS := -- start 24 2 3 4 5 . stop 16 0 1 6 .
+
 ifneq (linux,$(DEB_HOST_ARCH_OS))
 	DEB_CONFIGURE_EXTRA_FLAGS += --disable-autoipd
 endif
@@ -36,16 +38,11 @@
 
 binary-install/avahi-discover::
 	dh_pysupport -p$(cdbs_curpkg)
-	dh_python -p$(cdbs_curpkg)
 	rm -f debian/tmp/usr/lib/python*/site-packages/avahi/*.py[co]
 
 binary-install/python-avahi::
 	dh_pysupport -p$(cdbs_curpkg)
-	dh_python -p$(cdbs_curpkg)
 	rm -f debian/tmp/usr/lib/python*/site-packages/avahi/*.py[co]
-
-binary-fixup/avahi-daemon binary-fixup/avahi-dnsconfd::
-	chmod +x debian/$(cdbs_curpkg)/etc/dbus-1/event.d/*
 
 install/avahi-autoipd::
 	install -D -o root -g root -m 755 debian/avahi-autoipd.ifup \




More information about the Pkg-utopia-commits mailing list